Name:           tristripper
Version:        1.10
Release:        3%{?dist}
Summary:        Triangle stripification (algorithm by Tanguy Fautre)

License:        zlib
URL:            https://github.com/spoonless/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{url}/commit/5cb362136af713c3cc2cace8c368d0332936624a.patch

# basic needs, requested in review process, mock should provide them already
BuildRequires:  coreutils sed gcc-c++

BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  xorg-x11-server-Xvfb

%description
TriStripper is a triangle stripification algorithm (from Tanguy Fautre).

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing with %{name}.


%prep
%autosetup
# comply pathes with FHS
sed -i -r -e /install.TARGETS/d -e 's,DESTINATION include,\0/%{name},g' CMakeLists.txt
# rename test binary
sed -i -r 's,\(test,\0-%{name},' CMakeLists.txt

%build
%cmake #-DTRISTRIPPER_BUILD_TEST=1
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_libdir}
cp -d -p *.so* %{buildroot}%{_libdir}
chmod 0755 %{buildroot}%{_libdir}/*.so.*

%check
# FIXME
# libGL error: No matching fbConfigs or visuals found
# libGL error: failed to load driver: swrast
#xvfb-run ./test-%{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%doc README.md
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 27 2016 Raphael Groner <projects.rg@smart.ms> - 1.10-2
- add build needs, remove license macro and use license text as documentation

* Sun Feb  7 2016 Raphael Groner <projects.rg@smart.ms> - 1.10-1
- initial
